Unassign Devices

Unassign one device from a group, or every device when no hostname is given.

This method is an interface to unassign devices from their corresponding groups. If hostname is empty for a group, it will remove all devices associated with that group.

KeyMeaningMandatoryData Type
groupnameGroup name from which device(s) should be unassigned.Yesstring
hostnameHostname of device(s) to be unassigned from the group. If empty for a group, all devices associated with that group will be removed. Multiple hostnames can be sent in the same parameterset.Nostring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.platform import PlatformClient

client = PlatformClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response = client.Group.unassignDevice(
    groupname="DemoGroup",
    hostname="DemoHost"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json